import sys
from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QApplication, QLabel, QMainWindow


class MainWindow(QMainWindow):
    def __init__(self):
        super().__init__()
        self.label = QLabel("scroll mouse wheel here")
        self.setCentralWidget(self.label)

    def wheelEvent(self, e):
        info = [
            "",
            "wheel event",
            "modifier: %d" % e.modifiers(),
            "angleDelta.y: %d" % e.angleDelta().y(),
            ]
        self.label.setText('\n'.join(info))


app = QApplication(sys.argv)
window = MainWindow()
window.show()
app.exec()
